a{
    color: #ff0000;
    text-decoration: no;
}
a:visited{
    color: #0a0;
}
a:hover{
    color: #FFF;
    background: pink;
    text-decoration: underline;
}
a:focus{
    color: #99F;
    text-decoration: dotted;
}
a:active{
    color: #558899;
    background-color:#FFF ;
    text-decoration: line-through;
}